<!-- DO NOT DELETE THIS TEMPLATE -->

## Checklist

This checklist is used to make sure that common guidelines for a pull request are followed.

- [ ] Versions update reflected in all places (both __init__.py files, CHANGELOG, setup.py, setup.cfg)
- [ ] Unit tests pass locally
- [ ] Quickstart steps locally validated
- [ ] Passes unit tests in CICD pipeline (green on Github pipeline)
- [ ] Pypi RC version passes Edge CICD pipeline validation for cross-tool validation
- [ ] Pull request includes test coverage for the included changes
- [ ] Documentation is updated for the included changes

### General guidelines

- [ ] Title of the pull request is clear and informative.
- [ ] There are a small number of commits, each of which have an informative message. This means that previously merged commits do not appear in the history of the PR.

## Description

<!--
Please add a number of a relevant issue below
-->
Fixes #

<!--
Please add an informative description that covers that changes made by the pull request.
-->

### Additional information

<!--
Please add any additional information you have about the PR, such as relevant links.
-->